/////////////////////////////////////////////////////////////////////////
//
//
//	Filename : 	GFEApp.h
//
//	Version	 :	24.03.94
//
//	Author	 :	Martin Diehl
//
//	Compiler :	C++ (CC)
//
//	Purpose	 :   Header file for GFEApp.cc AND MORE IMPORTAND a
//		     header file for the client's ....App.c file which
//		     adds simply the instantiation of an Interface derived
//		     from ClientInterface.
//
////////////////////////////////////////////////////////////////////////	
#ifndef GFEAPP_H
#define GFEAPP_H

#include "Application.h"
#include "GFEWindow.h"
#include "ClientInterface.h"
#include "debug.h"

class GFEApplication : public Application {

   private:

      int	      _argc;
      char	    **_argv;

   protected:

      void initialize (int *argc, char **argv)
      {
	 Application::initialize(argc, argv);
	 if (*argc == 2) DebugInit(argv[1]);
      }

   public:

      GFEApplication(char *c) : Application(c) {}
   
};

GFEApplication *app		 = new GFEApplication(PROGRAM);
GFEWindow  *mainWindow		 = new GFEWindow(VERSION);

//extern ClientInterface *clientInterface;

#endif
